Relationships
Unlink relationship
Unlink (soft-delete) a relationship. Idempotent.
DELETE
/
api
/
v1
/
cdp
/
relationships
Unlink relationship
curl --request DELETE \
--url https://www.useboom.ai/api/v1/cdp/relationships \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.useboom.ai/api/v1/cdp/relationships"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.useboom.ai/api/v1/cdp/relationships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"removed": true
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization API key, sent as Authorization: Bearer boom_org_....
Query Parameters
Edge kind. 'person_to_co' (default) links a person to a custom object; 'co_to_co' links a parent custom object to a child custom object.
Available options:
person_to_co, co_to_co Id of the relationship type (from the relationship-types list). Fixes the role and the custom object type(s) the edge targets.
Required string length:
1 - 255Person externalId. Required when kind is 'person_to_co'.
Required string length:
1 - 255Custom object externalId. Required when kind is 'person_to_co'.
Required string length:
1 - 255Parent custom object externalId. Required when kind is 'co_to_co'.
Required string length:
1 - 255Child custom object externalId. Required when kind is 'co_to_co'.
Required string length:
1 - 255Response
Success
Was this page helpful?
⌘I
Unlink relationship
